
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Este programa nos ayufda a calcular la inductancia del SRM                         %
%inductancia.m                                                                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


function U=f(TE); %TE es ahora nuestro vector de entrada.

E=TE';             %E es nuestro vector columna de entrada.
flux=E(1);          %representa el flujo de entrada
teta=E(2);          %representa la posicion del rotor.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Aqui se realizan los calculos para la obtancion de la inductancia basandose en
%los parametros determinados en inicio.m           
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

global TETAS TETAX TETAY TETAXY TETAON TETAOFF TETAQ V AUP BUP ADOWN BDOWN DL LMIN LMAX

if((0 <= teta)&(teta <= TETAX))
U=[flux/LMIN,LMIN];
end;

if ((TETAX < teta)&(teta <= TETAY))
   U=[flux/((AUP*teta)+BUP),((AUP*teta)+BUP)];
end;

if((TETAY < teta) & (teta <= TETAXY))
   U=[flux/((ADOWN*teta)+BDOWN),((ADOWN*teta)+BDOWN)];
end;

if(teta > TETAXY)
   U=[flux/LMIN,LMIN];
end;
